Subject: Re: [PATCH net v2] net: stmmac: set PP_FLAG_DMA_SYNC_DEV only if XDP is enabled

From: Jakub Kicinski <[email-masked]>
Date: Fri, 4 Oct 2024 07:08:46 -0700

On Tue, 1 Oct 2024 11:22:32 +0100 Jon Hunter wrote:
> We have noticed a boot regression in both -next and mainline v6.12-rc1. 
> Bisect is pointing to this commit. Reverting this commit fixes the problem.
> 
> This boot regression is seen on our Tegra234 Jetson AGX Orin platform 
> that uses the drivers/net/ethernet/stmicro/stmmac/dwmac-tegra.c driver. 
> We are booting with NFS and although the network interface does come up, 
> we fail to mount the rootfs via NFS.
> 
> So it would appear that we need to set this flag for this device. Any 
> thoughts?

This patch doesn't make sense to me. I'll send a revert shortly.